if (import.meta.env.MODE==='production') { //生产
  window.winhc_api_restful = 'https://gw.winhc.cn/firefly-erp' //生产
  window.winhc_ws_systemUrl='https://gw.winhc.cn/case-search-v2'
  window.winhc_wx_frefix='https://m.winhc.cn/wx-mobile/newMobile/#/'
  window.winhc_selfData_frefix='https://m.winhc.cn/wx-mobile/newCreditorDynamic/#/'
  window.winhc_api_law = 'https://gw.winhc.cn/wukong'
  window.winhc_api_common = 'https://m.winhc.cn/wx-mobile/' //生产
  window.winhc_api_chances = 'https://gw.winhc.cn/case-chance'
  window.winhc_api_sifacase = 'https://gw.winhc.cn/winhc-justice-service'
  window.winhc_api_workbench = 'https://gw.winhc.cn/lawyer-workbench'
  window.winhc_lawyer_service = 'https://gw.winhc.cn/winhc-lawyer-service'
  window.winhc_newgraph = 'https://gw.winhc.cn/winhc-relation-ship'
  window.winhc_api_monitors = 'https://gw.winhc.cn/radar-monitors'
} else if(import.meta.env.MODE==='test') { //测试
  window.winhc_api_restful = 'https://twww.winhc.net/api/firefly-erp' //测试
  window.winhc_ws_systemUrl='https://twww.winhc.net/api/case-search-v2'
  window.winhc_wx_frefix='https://tm.winhc.net/wx-mobile/newMobile/#/'
  window.winhc_selfData_frefix='https://tm.winhc.net/wx-mobile/newCreditorDynamic/#/'
  window.winhc_api_law = 'https://twww.winhc.net/api/law-search'
  window.winhc_api_chances = 'https://twww.winhc.net/api/case-chance'
  window.winhc_api_sifacase = 'https://twww.winhc.net/api/winhc-justice-service'
  window.winhc_api_workbench = 'https://twww.winhc.net/api/lawyer-workbench'
  window.winhc_lawyer_service = 'https://twww.winhc.net/api/winhc-lawyer-service'
  window.winhc_newgraph = 'https://twww.winhc.net/api/winhc-relation-ship'
  window.winhc_api_monitors = 'https://twww.winhc.net/api/radar-monitors'
  window.winhc_api_common = 'https://tm.winhc.net/wx-mobile/' //测试
} else {
  window.winhc_api_restful = 'https://twww.winhc.net/api/firefly-erp' //测试
  window.winhc_ws_systemUrl='https://twww.winhc.net/api/case-search-v2'
  window.winhc_wx_frefix='https://tm.winhc.net/wx-mobile/newMobile/#/'
  window.winhc_selfData_frefix='https://tm.winhc.net/wx-mobile/newCreditorDynamic/#/'
  window.winhc_api_law = 'https://twww.winhc.net/api/wukong'
  window.winhc_api_common = 'https://tm.winhc.net/wx-mobile/' //测试
  window.winhc_api_chances = 'https://twww.winhc.net/api/case-chance'
  window.winhc_api_sifacase = 'https://twww.winhc.net/api/winhc-justice-service'
  window.winhc_api_workbench = 'https://twww.winhc.net/api/lawyer-workbench'
  window.winhc_lawyer_service = 'https://twww.winhc.net/api/winhc-lawyer-service'
  window.winhc_newgraph = 'https://twww.winhc.net/api/winhc-relation-ship'
  window.winhc_api_monitors = 'https://twww.winhc.net/api/radar-monitors'
}
window.methods={
  isemail:function (mail) {
      // var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/;
      var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/
      return reg.test(mail)
  },
  is_weixin:function() {
      var ua = navigator.userAgent.toLowerCase()
      if(ua.match(/MicroMessenger/i)=='micromessenger') { return true } else { return false }
  }
}

/*这段代码是固定的，必须要放到js中*/
function setupWebViewJavascriptBridge(callback) {
  if (window.WebViewJavascriptBridge) { return callback(WebViewJavascriptBridge) }
  if (window.WVJBCallbacks) { return window.WVJBCallbacks.push(callback) }
  window.WVJBCallbacks = [callback]
  var WVJBIframe = document.createElement('iframe')
  WVJBIframe.style.display = 'none'
  WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__'
  document.documentElement.appendChild(WVJBIframe)
  setTimeout(function() { document.documentElement.removeChild(WVJBIframe) }, 0)
}

// ocMethod=function(method,data) {
//   setupWebViewJavascriptBridge(function (bridge) {
//       bridge.callHandler(method, data||{},
//           function callback(response) {
//               log('JS got response', response)
//           }
//       )
//   })
// }

// systemJudge=function() {
//   var systemFlag = ''
//   var u = navigator.userAgent
//   var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1 //android终端
//   var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) //ios终端
//   if(isAndroid) {
//       systemFlag = 'Android'
//   }else if(isiOS) {
//       systemFlag = 'IOS'
//   }
//   return systemFlag
// }
