import { DemensionPagesInter } from '../../types'
export const pageArr: DemensionPagesInter = {
  projectName: '建筑信息',
  list: [
    {
      code: 'construction_qualification',
      routing: 'JianZhuZiZhi',
      title: '建筑资质',
      companyId: 'fc9bf0bdc706f5593dd3c8fed3ef957b',
      viewList: [
        {
          name: '资质名称',
          value: 'certName'
        },
        {
          name: '证书单位名称',
          value: 'companyName',
          companyId: 'companyId',
          companyName: 'companyName'
        },
        {
          name: '证书编号',
          value: 'certId'
        },
        {
          name: '发证机关',
          value: 'organName'
        },
        {
          name: '发证日期',
          value: 'organDate',
          valueType: 'date'
        },
        {
          name: '有效期至',
          value: 'endDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'construction_person',
      routing: 'JianZhuRenYuan',
      title: '建筑人员',
      companyId: 'fc9bf0bdc706f5593dd3c8fed3ef957b',
      viewList: [
        {
          name: '姓名',
          value: 'personName'
        },
        {
          name: '注册类别',
          value: 'regtypeName'
        },
        {
          name: '注册号（执业印章号）',
          value: 'sealCode'
        },
        {
          name: '注册专业',
          value: 'zczyName'
        },
        {
          name: '有效期',
          value: 'regEdate',
          valueType: 'date'
        },
        {
          name: '证件号码',
          value: 'idCard'
        }
      ]
    },
    {
      code: 'construction_project',
      routing: 'JianZhuXiangMu',
      companyId: 'fc9bf0bdc706f5593dd3c8fed3ef957b',
      title: '建筑项目',
      detailList: [
        {
          name: '项目名称',
          value: 'prjName'
        },
        {
          name: '建设单位',
          value: 'buildCorpName'
        },
        {
          name: '项目编号',
          value: 'prjNum'
        },
        {
          name: '所在区划',
          value: 'countyNum'
        },
        {
          name: '项目类别',
          value: 'prjType'
        },
        {
          name: '立项级别',
          value: 'approvalLevel'
        },
        {
          name: '总投资',
          value: 'money',
          valueType: 'w'
        },
        {
          name: '总面积',
          value: 'totalArea'
        },
        {
          name: '立项文号',
          value: 'approvalNumber'
        }
      ],
      viewList: [
        {
          name: '建筑名称',
          value: 'prjName'
        },
        {
          name: '项目总投资',
          value: 'money',
          valueType: 'w'
        },
        {
          name: '项目类别',
          value: 'prjType'
        },
        {
          name: '建设单位',
          value: 'buildCorpName'
        }
      ]
    }

  ]
}
