import { DemensionPagesInter } from '../../types'
export const pageArr: DemensionPagesInter = {
  projectName: '对外投资',
  list: [
    {
      code: 'direct_debt',
      routing: 'ZhiJieZaiQuan',
      title: '直接债权',
      companyId: '8897bb91d0c93eef49f7627f84d6e212',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      noDataList: true,
      viewList: [
        {
          name: '债务人',
          value: 'debtor'
        },
        {
          name: '案件本金',
          value: 'casePrincipal',
          valueType: 'w'
        },
        {
          name: '管辖法院',
          value: 'jurisdictionCourt'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '判决裁定日期',
          value: 'judgeDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'indirect_debt',
      routing: 'JianJieZaiQuan',
      title: '间接债权',
      companyId: '8897bb91d0c93eef49f7627f84d6e212',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      noDataList: true,
      viewList: [
        {
          name: '债权人',
          value: 'inCreditor'
        },
        {
          name: '债务人',
          value: 'debtor'
        },
        {
          name: '案件本金',
          value: 'casePrincipal',
          valueType: 'w'
        },
        {
          name: '管辖法院',
          value: 'jurisdictionCourt'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '判决裁定日期',
          value: 'judgeDate',
          valueType: 'date'
        }
      ]
    }
  ]
}

