/* eslint-disable no-undef */
/*
 * @Author: 文帅
 * @Date: 2022-03-08 15:35:36
 * @LastEditTime: 2022-03-08 16:02:08
 * @LastEditors: 文帅
 * @Description:
 */
declare const window: Window & { WebViewJavascriptBridge: any, WVJBCallbacks: any }

class h5JumpApp {
  ocMethod = (method: any, data: any) => {
    this.setupWebViewJavascriptBridge((bridge: any) => {
      bridge.callHandler(method, data || {},
        function callback(response: unknown) {
          // eslint-disable-next-line no-undef
          log('JS got response', response)
        }
      )
    })
  }
  systemJudge = () => {
    let systemFlag = ''
    const u = navigator.userAgent
    const isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1 //android终端
    const isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/) //ios终端
    if (isAndroid) {
      systemFlag = 'Android'
    } else if (isiOS) {
      systemFlag = 'IOS'
    }
    return systemFlag
  }

  setupWebViewJavascriptBridge = (callback: { (bridge: any): void; (arg0: any): any }) => {
    if (window.WebViewJavascriptBridge) { return callback(window.WebViewJavascriptBridge) }
    if (window.WVJBCallbacks) { return window.WVJBCallbacks.push(callback) }
    window.WVJBCallbacks = [callback]
    const WVJBIframe = document.createElement('iframe')
    WVJBIframe.style.display = 'none'
    WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__'
    document.documentElement.appendChild(WVJBIframe)
    setTimeout(() => { document.documentElement.removeChild(WVJBIframe) }, 0)
  }
}

export default h5JumpApp
