import { DemensionPagesInter } from '../../types'
export const pageArr: DemensionPagesInter = {
  projectName: '对外投资',
  list: [
    {
      code: 'equity_participation',
      routing: 'CanGuQiYe',
      title: '参股企业',
      companyId: '8897bb91d0c93eef49f7627f84d6e212',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      viewList: [
        {
          value: 'name',
          valueType: 'title'
        },
        {
          name: '法定代表人',
          value: 'legalPersonName'
        },
        {
          name: '注册资本',
          value: 'regCapital'
        },
        {
          name: '投资比例',
          value: 'percent'
        },
        {
          name: '经营状态',
          value: 'regStatus'
        },
        {
          name: '成立日期',
          value: 'estiblishTime',
          valueType: 'date'
        },
        {
          name: '统一社会信用代码',
          value: 'creditCode'
        }

      ]
    }
  ]
}
