import { DemensionPagesInter } from '../../types'
import ZhuCeZiBen from '@/components/ListCustom/ZhuCeZiBen.vue'
import { shallowRef } from 'vue'
export const pageArr: DemensionPagesInter = {
  projectName: '资本',
  list: [
    {
      code: 'registered_capital_v8',
      routing: 'ZhuCeZiBen',
      title: '注册资本',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: shallowRef(ZhuCeZiBen)
    },
    {
      code: 'registered_capital_v8',
      routing: 'ShiJiaoZiBen',
      title: '实缴资本',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: shallowRef(ZhuCeZiBen)
    },
    {
      code: 'registered_capital_v8',
      routing: 'WeiJiaoZiBen',
      title: '未缴资本',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      listCustomRender: shallowRef(ZhuCeZiBen)
    },
    {
      code: 'increase_record',
      routing: 'ZengZiJiLu',
      title: '增资记录',
      companyId: '8897bb91d0c93eef49f7627f84d6e212',
      noDataList: true,
      viewList: [
        {
          name: '变更日期',
          value: 'changeTime',
          valueType: 'date'
        },
        {
          name: '变更类别',
          value: 'category'
        },
        {
          name: '变更事项',
          value: 'changeItem'
        },
        {
          name: '增资前',
          value: 'contentBefore'
        },
        {
          name: '增资后',
          value: 'contentAfter'
        }
      ]
    }

  ]
}
